#
# spec file for package python-xvfbwrapper
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xvfbwrapper
Version:        0.2.9
Release:        bp155.2.10
Summary:        Python wrapper for controlling X virtual framebuffer (Xvfb)
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/cgoldberg/xvfbwrapper
Source:         https://files.pythonhosted.org/packages/source/x/xvfbwrapper/xvfbwrapper-%{version}.tar.gz
Patch0:         skip_failing_test.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       xorg-x11-Xvfb
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  python-mock
BuildRequires:  xorg-x11-Xvfb
# /SECTION
%python_subpackages

%description
Xvfb (X virtual framebuffer) is a display server implementing the X11
display server protocol. It runs in memory and does not require a
physical display.  Only a network layer is necessary.

Xvfb is useful for running acceptance tests on headless servers.

%prep
%setup -q -n xvfbwrapper-%{version}
%autopatch -p1
sed -i -e '/^#!\//, 1d' xvfbwrapper.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test -v

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Oct  5 2018 Matěj Cepl <mcepl@suse.com>
- Add skip_failing_test.patch to skip failing test on i586 and
  ppc64* architectures.
* Sun Jul 29 2018 jengelh@inai.de
- Use noun phrase in summary. Trim filler wording.
* Mon Jun 11 2018 mcepl@suse.com
- Clean SPEC file
* Thu May 24 2018 toddrme2178@gmail.com
- Spec file cleanups
* Tue Nov  7 2017 toddrme2178@gmail.com
- Update to version 0.2.9
  * No changelog
- Implement single-spec version
* Tue Sep 16 2014 tbechtold@suse.com
- Initial version
